For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags

Search endpoint for tags.

List tags (search)

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Search for Tag

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

TagSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

TagPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/tags/search
POST /api/tags/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 991

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "allowedValues": {
      "eq": "text",
      "in": [
        "text"
      ],
      "like": "text",
      "notEq": "text",
      "notIn": [
        "text"
      ]
    },
    "and": [
      {
        "allowedValues": {
          "eq": "text",
          "in": [
            "text"
          ],
          "like": "text",
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "and": [
          {
            "allowedValues": {
              "eq": "text",
              "in": [
                "text"
              ],
              "like": "text",
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "and": "[Circular Reference]",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "or": "[Circular Reference]"
          }
        ],
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "or": [
          {
            "allowedValues": {
              "eq": "text",
              "in": [
                "text"
              ],
              "like": "text",
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "and": "[Circular Reference]",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "or": "[Circular Reference]"
          }
        ]
      }
    ],
    "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "or": [
      {
        "allowedValues": {
          "eq": "text",
          "in": [
            "text"
          ],
          "like": "text",
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "and": "[Circular Reference]",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "or": "[Circular Reference]"
      }
    ]
  },
  "size": 10,
  "sort": [
    {
      "id": "ASC"
    }
  ]
}
{
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "total": 1,
  "tags": [
    {
      "created": "2020-02-03T08:45:51.525Z",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "version": 42,
      "allowedValues": [
        "text"
      ],
      "id": "text"
    }
  ]
}

Last updated

Was this helpful?